-- XML-generiertes SQL-Script für psql--


\! echo "Creating tables"
\! echo `date`

--Install-Schritt:  Füllen der Job-Tabelle


\! echo "Scriptfile $MYJOBS_PFAD/schluesseltabellen/sx_jobs_fuellen.sql ausführen"
\! echo `date`

	
\!  DOSQL $MYJOBS_PFAD/schluesseltabellen/sx_jobs_fuellen.sql
--Integrieren: 


\! echo "Fülle db_version"
\! echo `date`


delete from db_version  where his_system='myjobs';
insert into db_version (his_system,version) values('myjobs','0.1b');



\! echo "Fülle db_tabellen"
\! echo `date`



\! echo "Fülle sachgebiete, systeminfo und themenbaum"
\! echo `date`



--Das Sachgebiet wird erzeugt, ggf. vorherige Sachgebiete sichern.

delete from sachgebiete where tid=1400;
insert into sachgebiete(tid,name) values (1400,'Wuppertaler Ladejobs');
-- den admins die Rechte geben
delete from group_sachgeb_bez where sachgebiete_id=1400;
insert into group_sachgeb_bez 
select G.tid,1400 from groupinfo G where G.name='Administratoren' or G.name='superx' ;
 -- wird auch noch mal als template aufgerufen in sx_tables_fuellen.sql vergl. http://ics/ilias3/goto.php?target=wiki_40_SingleSignOn-Rechteuebernahme&client_id=memtext --Das system wird erzeugt, ggf. vorherige systeme sichern.
delete from systeminfo where tid=1400;
insert into systeminfo(tid,name,datum) values (1400,'Wuppertaler Ladejobs',date('1.1.1900'));


\! echo "Das Thema und die Masken in den Themenbaum einfügen"
\! echo `date`


--Das Thema und die Masken in den Themenbaum einfügen
--zunaechst werden die Eintraege in den themenbaum_bak eingefuegt, default ist parent=themenbaum_root
-- auf Serial setzen, damit fortlaufende Nummern vergeben werden
create temp table tmp_themenbaum
  (
    tid serial,
    name varchar(255) not null ,
    maskeninfo_id integer,
    parent integer,
    parentname char(50),
    gueltig_seit date,
    gueltig_bis date,
    erlaeuterung char(240)
  );
  create temp table tmp_themenbaum2
  (
    tid integer,
    name varchar(255) not null ,
    maskeninfo_id integer,
    parent integer,
    parentname char(50),
    gueltig_seit date,
    gueltig_bis date,
    erlaeuterung char(240)
  );
  
  

select setval('tmp_themenbaum_tid_seq',(select max(tid)+1 from themenbaum));


\! echo "root für das Modul einfügen und in den Themenbaum einhängen:"
\! echo `date`


insert into tmp_themenbaum
(  tid,name, gueltig_seit,gueltig_bis )
select max(tid)+1,'Wuppertaler Ladejobs',date_val('01.01.1900'),date_val('01.01.3000') from themenbaum;

update tmp_themenbaum set parent=(select max(tid) from themenbaum where name='Abfragen');

--root für das Modul einfügen und in den Themenbaum einhängen
--update themenbaum_bak set parent=(select tid from themenbaum where parent is null)
--where parent is null;
--update themenbaum_bak set tid=(select max(tid) from themenbaum 
--Nun die Einträge einfügen, die tids werden durch das serial-Feld erzeugt:
--insert into tmp_themenbaum(name, maskeninfo_id,parentname, gueltig_seit,gueltig_bis)
--select name, maskeninfo_id,parent, gueltig_seit,gueltig_bis from themenbaum_bak;
--update tmp_themenbaum set parentname=(select name from themenbaum_bak T where T.tid=tmp_themenbaum.parent);

--Nun die einzelnen Masken


\! echo "Nun die einzelnen Masken:"
\! echo `date`


insert into tmp_themenbaum
(  name  ,maskeninfo_id, parentname,
   gueltig_seit ,
   gueltig_bis)
values('Jobmonitor ausführen','8000','Administration',date_val('01.01.1900'),date_val('01.01.3000'));

--gibt es die Maske schon?
delete from tmp_themenbaum where maskeninfo_id in (select T.maskeninfo_id from themenbaum  T);


\! echo "Die einzelnen Masken sind eingefügt."
\! echo `date`



insert into tmp_themenbaum2 select * from tmp_themenbaum;
update tmp_themenbaum set parent=(select max(tid) from tmp_themenbaum2 T where tmp_themenbaum.parentname=T.name)
where parent is null;
--Wenn das Thema im echten Themenbaum schon drin war, wird da als parent genommen
update tmp_themenbaum set parent=(select max(tid) from themenbaum T where tmp_themenbaum.parentname=T.name)
where parent is null;

--Defaultmaessig werden alle parents auf themenbaum_root gesetzt
update tmp_themenbaum set parent=(select max(tid) from themenbaum where parent is null)
where parent is null;
insert into themenbaum(tid,name, maskeninfo_id,parent, gueltig_seit,gueltig_bis,erlaeuterung,sort)
select tid,name, maskeninfo_id,parent, gueltig_seit,gueltig_bis,erlaeuterung,0 from tmp_themenbaum;
drop table tmp_themenbaum2;
drop table tmp_themenbaum;


select setval('themenbaum_tid_seq',(select max(tid)+1 from themenbaum));


\! echo "Fülle sx_tables, sx_fields und unload_params"
\! echo `date`


\! DOSQL $MYJOBS_PFAD/conf/sx_tables_fuellen.sql
\! DOSQL $MYJOBS_PFAD/conf/sx_fields_fuellen.sql
\! DOSQL $MYJOBS_PFAD/conf/unload_params_fuellen.sql

\! DOSQL $MYJOBS_PFAD/myjobs_install_custom.sql
