#!/bin/bash

#Upgrade 
NEWVERSION=`cat ../VERSION`
# XML-generiertes Shell-Script fuer Modul myjobs

echo "Die aktuell installierte Version des Moduls ist"
if [ "$DATABASE" == "INFORMIX"  ]
	then
DOQUERY "select version from db_version where his_system='myjobs';" 2>/dev/null
else
DOQUERY "select version from db_version where his_system='myjobs';"
fi

echo "Die zu installierende Version ist $NEWVERSION"

if [ "$1" != "J" ]
then
echo "Fortfahren? (J/N) ? "
	read WEITER
else
WEITER=$1
fi

if [ "$WEITER" != "J" ] 
then 
if [ "$WEITER" != "j" ]
then	echo "Upgrade-Script abgebrochen"
	exit 0
fi
fi

UPDATELOG=$MYJOBS_PFAD/upgrade/upgrade"$MANDANTID".log
echo "Datenbank $DBNAME wird geupdated. Logdatei: $UPDATELOG"
echo "Datenbank $DBNAME wird geupdated." >$UPDATELOG

if [ -f "$MYJOBS_PFAD/upgrade/myjobs_pre_upgrade_$DATABASE_ABBR.sql" ] 
then

DOSQL $MYJOBS_PFAD/upgrade/myjobs_pre_upgrade_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1

fi

echo "Tabellen prüfen" >>$UPDATELOG

DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_tables_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1
DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_fields_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1

DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_views_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1


if [ "$DATABASE" == "INFORMIX"  ]
	then
	echo "speziell für IDS" >>$UPDATELOG
	
	fi


DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_functions_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1
DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_indexes_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1
DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_themenbaum.sql >>$UPDATELOG 2>&1
$MYJOBS_PFAD/myjobs_masken_einspielen_"$DATABASE_ABBR".x >>$UPDATELOG 2>&1

DOSQL $MYJOBS_PFAD/upgrade/myjobs_upgrade_"$DATABASE_ABBR".sql >>$UPDATELOG 2>&1


if [ -f "$MYJOBS_PFAD/conf/customize$MANDANTID.sql"  ] 
then

CMD="DOSQL $MYJOBS_PFAD/conf/customize$MANDANTID.sql"
runAndCheck.x $MYJOBS_PFAD "$CMD" CONT_ON_ERROR NO_ERRORMAIL NO_LOGMAIL "myjobs Customize$MANDANTID"

fi

if [ "$WEBAPP" == ""  ]
	then
	#in SuperX 3.5 ist webapp immer hier:
WEBAPP=$SUPERX_DIR/webserver/tomcat/webapps/superx

fi

DBFORMS_CONFIG=$WEBAPP/WEB-INF/myjobs_dbforms-config_"$DATABASE_ABBR".xml

if [ -f "$DBFORMS_CONFIG"  ]
then

CMD="dbforms-config_upgrade.x $DBFORMS_CONFIG"
runAndCheck.x $SUPERX_DIR/db/bin "$CMD" CONT_ON_ERROR NO_ERRORMAIL NO_LOGMAIL "myjobs dbforms-config Upgrade$MANDANTID"

fi 

EDUSTORE_XML=$WEBAPP/WEB-INF/classes/edustore/edustore_myjobs.xml

if [ "$EDUSTORE_XML_GENERATE" = "true" -a -f "$EDUSTORE_XML" -a -f "$SUPERX_DIR/db/bin/edustore_xml_upgrade.x" ]
then 
CMD="edustore_xml_upgrade.x $EDUSTORE_XML"
runAndCheck.x $SUPERX_DIR/db/bin "$CMD" CONT_ON_ERROR NO_ERRORMAIL NO_LOGMAIL "sos edustore_xml Upgrade$MANDANTID"
echo "$EDUSTORE_XML wurde aktualisiert."
else
echo "$EDUSTORE_XML wurde nicht aktualisiert."
fi 

fgrep -i -s "fehler" $UPDATELOG
FLAG1=$?
fgrep -i -s "error" $UPDATELOG
FLAG2=$?
fgrep -i -s "could not connect to server" $UPDATELOG
FLAG3=$?

if [ $FLAG1 -eq 0 -o $FLAG2 -eq 0 -o $FLAG3 -eq 0 ]
then
	echo "Fehler beim Upgrade der Datenbank" 
	echo "---------------------------------------" 
	echo "Bitte prüfen Sie das Fehlerprotokoll in $UPDATELOG" 
	echo "---------------------------------------" 
	
else

	echo "----------------------------------------" 
	echo "Datenbank $DBNAME erfolgreich geupdated "
	echo "(Keine Fehler aufgefallen in $UPDATELOG)." 
	echo "Bitte starten Sie nun Tomcat neu."
	echo "----------------------------------------" 
fi

